#ifndef _FD_ROOM_
#define _FD_ROOM_

typedef struct Room Room;
typedef struct Rooms Rooms;

#include <stdbool.h>

struct Room {
  char *name;
  bool visited;
};

struct Rooms {
  Room rooms[100];
  int count;
};

void free_room(Room r);
void free_rooms(Rooms r);
Room *find_room(Rooms *r, const char *name);

#endif
